//------------------------------------------------------------------------------
// File: ContProp.h
//
// Desc: DirectShow sample code - definition of property page class for
//       the contrast filter.
//
// Copyright (c) 1992-2001 Microsoft Corporation.  All rights reserved.
//------------------------------------------------------------------------------
//
// Virtual Source Property Page
//
// { fd501044-8ebe-11ce-8183-00aa00578af1 }
DEFINE_GUID(CLSID_VirtualSourcePropertyPage,
0xfd501044, 0x8ebe, 0x11ce, 0x81, 0x83, 0x00, 0xaa, 0x01, 0x67, 0x8a, 0xf1);

class CVirtualSourceProperties : public CBasePropertyPage
{

public:

    static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT *phr);

private:

    BOOL OnReceiveMessage(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
    HRESULT OnConnect(IUnknown *pUnknown);
    HRESULT OnDisconnect();
    HRESULT OnDeactivate();
    HRESULT OnApplyChanges();

    void SetDirty();

    HWND	CreateSlider(HWND hwndParent, int x);
    void	OnSliderNotification(WPARAM wParam);
    HWND	m_hwndSlider;
    HWND	m_hwndSlider2;
    HWND	m_hwndSlider3;

    CVirtualSourceProperties(LPUNKNOWN lpunk, HRESULT *phr);
    signed char m_clLevelOnExit; // Remember level for CANCEL
    signed char m_clLevel;  // And likewise for next activate
	signed char m_calphaLevelOnExit; // Remember level for CANCEL
    signed char m_calphaLevel;  // And likewise for next activate
    signed char m_cbetaLevelOnExit; // Remember level for CANCEL
    signed char m_cbetaLevel;  // And likewise for next activate

}; // CVirtualSourceProperties

